Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.holders
Class LongWrapperHolder

    java.lang.Object
      javax.xml.rpc.holders.LongWrapperHolder

All Implemented Interfaces:
  Holder

public final class LongWrapperHolder
extends java.lang.Object
implements Holder

Holder for `Long`s.

Version:
  1.0

Field Summary
`java.lang.Long` | `value` The `Long` contained by this holder.

Constructor Summary
`LongWrapperHolder()` Make a new `LongWrapperHolder` with a `null` value.
`LongWrapperHolder(java.lang.Long value)` Make a new `LongWrapperHolder` with `value` as the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.lang.Long value

  The `Long` contained by this holder.

Constructor Detail

### LongWrapperHolder

    public LongWrapperHolder()

  Make a new `LongWrapperHolder` with a `null` value.

### LongWrapperHolder

    public LongWrapperHolder(java.lang.Long value)

  Make a new `LongWrapperHolder` with `value` as the value.

Parameters:
  `value` - the `Long` to hold

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.